Bug 499862 - (CVE-2009-1603) CVE-2009-1603 opensc: insecure public exponent in opensc 0.11.7
CVE-2009-1603 opensc: insecure public exponent in opensc 0.11.7
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=upstream,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 11:53 EDT by Vincent Danen
Modified: 2009-06-16 02:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 02:59:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2009-05-08 11:53:40 EDT
OpenSC 0.11.8 was released today [1] with a security fix for a flaw that only affects OpenSC 0.11.7, which is currently shipped in all suported versions of Fedora.

The vulnerability is with the pkcs11-tool which has the ability to ask the PKCS#11 module to generate an RSA key pair.  Due to a bug in the code, it uses a public exponent of 1, which is an invalid and insecure value, leading to messages encrypted with the RSA key to be unencrypted.  However, this problem only occurs when used with a third-party PKCS#11 module; the OpenSC PKCS#11 module ignores any public exponent passed to it.

To be affected by this issue, you need a combination of the following:

- a tool that starts a key generation with the public exponent set to 1 (an invalid value that creates an insecure RSA key)
- a PKCS#11 module that accepts this invalid public exponent and forwards it to the card
- a card that accepts the public exponent and generates the RSA key

[1] http://www.opensc-project.org/pipermail/opensc-announce/2009-May/000025.html
Comment 1 Fedora Update System 2009-05-11 08:12:41 EDT
opensc-0.11.8-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/opensc-0.11.8-1.fc10
Comment 2 Fedora Update System 2009-05-11 08:12:46 EDT
opensc-0.11.8-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/opensc-0.11.8-1.fc9
Comment 3 Fedora Update System 2009-05-11 08:12:50 EDT
opensc-0.11.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/opensc-0.11.8-1.fc11
Comment 4 Vincent Danen 2009-05-11 12:36:27 EDT
This has been assigned CVE-2009-1603.
Comment 5 Fedora Update System 2009-05-12 22:27:40 EDT
mingw32-opensc-0.11.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-opensc-0.11.8-1.fc11
Comment 6 Fedora Update System 2009-05-12 22:27:49 EDT
mingw32-opensc-0.11.8-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-opensc-0.11.8-1.fc10
Comment 7 Fedora Update System 2009-05-29 22:27:11 EDT
opensc-0.11.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-29 22:29:09 EDT
opensc-0.11.8-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-05-29 22:30:27 EDT
opensc-0.11.8-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-06-02 10:36:14 EDT
mingw32-opensc-0.11.8-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-06-02 10:36:36 EDT
mingw32-opensc-0.11.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.